Bug 91473 - Kudzu corrupts /etc/inittab
Kudzu corrupts /etc/inittab
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kudzu (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 17:59 EDT by Jeremy Swift
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 15:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Swift 2003-05-22 17:59:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When kudzu is run (with -s -q options) for the first time (when
/etc/sysconfig/hwconf does not exist yet), and a line containing "mgetty" and
"ttyS" is commented out in the /etc/inittab file, kudzu will attempt to
uncomment that line and end up corrupting the /etc/inittab file.

Here is an example.  If the /etc/inittab file has the following line in it
before kudzu is run

#S0:23457:respawn:/sbin/mgetty -s 9600 -r ttyS0

kudzu will attempt to uncomment that line and end up writing the following lines
in the new /etc/inittab:

S0:23457:respawn:/sbin/mgetty -s 9600 -r ttyS0
^@ 9600 vt100

Version-Release number of selected component (if applicable):
0.99.42.1

How reproducible:
Always

Steps to Reproduce:
1. Remove /etc/sysconfig/hwconf
2. Add the following line to /etc/inittab:
#S0:23457:respawn:/sbin/mgetty -s 9600 -r ttyS0
3. Run kudzu -s -q
    

Actual Results:  The following lines were produced in /etc/inittab:

S0:23457:respawn:/sbin/mgetty -s 9600 -r ttyS0
^@ 9600 vt100

Expected Results:  Ideally, the line that was commented out should not have been
changed.  If the line must be changed, it should have remained the same - but
without the "#".

Additional info:

This happens on ia32 and ia64 when using this version of kudzu.
Comment 1 Bill Nottingham 2003-05-22 18:53:46 EDT
Is the machine booted via serial console?
Comment 2 Jeremy Swift 2003-05-22 19:30:08 EDT
No, the machine is not booted over a serial console.
Comment 3 Bill Nottingham 2005-09-20 15:34:45 EDT
Apologies for the slow response.

At this point, Red Hat does not currently plan to provide a resolution for this
in a Red Hat Enterprise Linux 2.1 update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

This issue may be fixed in RHEL 3/RHEL 4; the code has changed in that area.

Note You need to log in before you can comment on or make changes to this bug.